Get a consented legal entity
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.
Authorization
oauth2 eprospera:entity.readIn: header
Scope: eprospera:entity.read
Path Parameters
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/me/legal-entities/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "optionId": "string", "type": "string", "name": "string", "extension": "string", "nameStartsWithExtension": true, "formationDate": "string", "registrationDate": "2019-08-24T14:15:22Z", "dissolutionDate": "2019-08-24T14:15:22Z", "residentPermitNumber": "string", "principalOfficeAddress": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postalCode": "string", "country": "string" }, "createdAt": "2019-08-24T14:15:22Z", "jurisdictionOfFormation": "string", "status": "active", "residencyStatus": "active", "residency": { "type": "string", "effectiveDate": "2019-08-24T14:15:22Z", "terminationDate": "2019-08-24T14:15:22Z" }, "registeredAddress": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postalCode": "string", "country": "string" }, "registeredAgent": { "providerId": "string", "name": "string", "attn": "string", "website": "string", "residentPermitNumber": "string", "effectiveDate": "2019-08-24T14:15:22Z", "terminationDate": "2019-08-24T14:15:22Z", "officeAddress": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postalCode": "string", "country": "string" }, "mailingAddress": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postalCode": "string", "country": "string" } } }}List consented legal entities GET
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.
List documents for a consented legal entity GET
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.